Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm
Class JBossXAException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.xa.XAException
                  org.jboss.tm.JBossXAException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

public class JBossXAException
extends XAException
implements org.jboss.util.NestedThrowable

Thrown to indicate a problem with a xaresource related operation.

Properly displays linked exception (ie. nested exception) when printing the stack trace.

Version:
  `$Revision: 1.6 $`
Author:
  Adrian Brock
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class javax.transaction.xa.XAException
`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`JBossXAException(int code)` Construct a `JBossXAException` with the specified detail message and error code.
`JBossXAException(String msg)` Construct a `JBossXAException` with the specified detail message.
`JBossXAException(String msg, Throwable linked)` Construct a `JBossXAException` with the specified detail message and linked `Exception`.
`JBossXAException(Throwable linked)` Construct a `JBossXAException` with the specified linked `Exception`.

Method Summary
`Throwable` | `getCause()` Return the nested `Throwable`.
`String` | `getMessage()` Returns the composite throwable message.
`Throwable` | `getNested()` Return the nested `Throwable`.
`void` | `printStackTrace()` Prints the composite message and the embedded stack trace to `System.err`.
`void` | `printStackTrace(PrintStream stream)` Prints the composite message and the embedded stack trace to the specified print stream.
`void` | `printStackTrace(PrintWriter writer)` Prints the composite message and the embedded stack trace to the specified print writer.
`static void` | `rethrowAsXAException(String message, Throwable t)` Rethrow as an xa exception if it is not already

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JBossXAException

    public JBossXAException(String msg)

  Construct a `JBossXAException` with the specified detail message.

Parameters:
  `msg` - Detail message.

### JBossXAException

    public JBossXAException(int code)

  Construct a `JBossXAException` with the specified detail message and error code.

Parameters:
  `code` - Error code.

### JBossXAException

    public JBossXAException(String msg,
                            Throwable linked)

  Construct a `JBossXAException` with the specified detail message and linked `Exception`.

Parameters:
  `msg` - Detail message.
  `linked` - Linked `Exception`.

### JBossXAException

    public JBossXAException(Throwable linked)

  Construct a `JBossXAException` with the specified linked `Exception`.

Parameters:
  `linked` - Linked `Exception`.

Method Detail

### rethrowAsXAException

    public static void rethrowAsXAException(String message,
                                            Throwable t)
                                     throws XAException

  Rethrow as an xa exception if it is not already

  Parameters:
    `message` - the message
    `t` - the original exception
  Throws:
    `XAException` - the xa exception

### getNested

    public Throwable getNested()

  Return the nested `Throwable`.

  Specified by:
    `getNested` in interface `org.jboss.util.NestedThrowable`
  Returns:
    Nested `Throwable`.

### getCause

    public Throwable getCause()

  Return the nested `Throwable`.

  For JDK 1.4 compatibility.

  Specified by:
    `getCause` in interface `org.jboss.util.NestedThrowable`
  Returns:
    Nested `Throwable`.

### getMessage

    public String getMessage()

  Returns the composite throwable message.

  Returns:
    The composite throwable message.

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Prints the composite message and the embedded stack trace to the specified print stream.

  Parameters:
    `stream` - Stream to print to.

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Prints the composite message and the embedded stack trace to the specified print writer.

  Parameters:
    `writer` - Writer to print to.

### printStackTrace

    public void printStackTrace()

  Prints the composite message and the embedded stack trace to `System.err`.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.